gstreamermm: Gst::PlayBin Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::PlayBin Class Reference
gstreamermm Plugins

A Wrapper for the playbin plugin. More...

Inheritance diagram for Gst::PlayBin:
[legend]
Collaboration diagram for Gst::PlayBin:
[legend]

List of all members.

## Public Member Functions
virtual | ~PlayBin ()
GstPlayBin* | gobj ()
| Provides access to the underlying C GObject.
const GstPlayBin* | gobj () const
| Provides access to the underlying C GObject.
GstPlayBin* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_audio_sink ()
| the audio output element to use (NULL = default sink).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_audio_sink () const
| the audio output element to use (NULL = default sink).
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_video_sink ()
| the video output element to use (NULL = default sink).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_video_sink () const
| the video output element to use (NULL = default sink).
Glib::PropertyProxy < Glib::RefPtr< Gst::Element > > | property_vis_plugin ()
| the visualization element to use (NULL = none).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Element > > | property_vis_plugin () const
| the visualization element to use (NULL = none).
Glib::PropertyProxy< double > | property_volume ()
| volume.
Glib::PropertyProxy_ReadOnly < double > | property_volume () const
| volume.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Buffer > > | property_frame () const
| The last frame (NULL = no video available).
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_subtitle_font_desc ()
| Pango font description of font to be used for subtitle rendering.
## Static Public Member Functions
static Glib::RefPtr< PlayBin > | create ()
| Creates a new playbin plugin with a unique name.
static Glib::RefPtr< PlayBin > | create (const Glib::ustring& name)
| Creates a new playbin plugin with the given name.
## Protected Member Functions
| PlayBin ()
| PlayBin (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::PlayBin > | wrap (GstPlayBin* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the playbin plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::PlayBin::~PlayBin | ( |  | ) | `[virtual]`

Gst::PlayBin::PlayBin | ( |  | ) | `[protected]`

Gst::PlayBin::PlayBin | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<PlayBin> Gst::PlayBin::create | ( |  | ) | `[static]`

Creates a new playbin plugin with a unique name.

Reimplemented from Gst::Pipeline.

static Glib::RefPtr<PlayBin> Gst::PlayBin::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new playbin plugin with the given name.

Reimplemented from Gst::Pipeline.

const GstPlayBin* Gst::PlayBin::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Pipeline.

GstPlayBin* Gst::PlayBin::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Pipeline.

GstPlayBin* Gst::PlayBin::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Pipeline.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_audio_sink | ( |  | ) |

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_audio_sink | ( |  | ) | const

the audio output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Buffer> > Gst::PlayBin::property_frame | ( |  | ) | const

The last frame (NULL = no video available).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::ustring > Gst::PlayBin::property_subtitle_font_desc | ( |  | ) |

Pango font description of font to be used for subtitle rendering.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_video_sink | ( |  | ) |

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_video_sink | ( |  | ) | const

the video output element to use (NULL = default sink).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_vis_plugin | ( |  | ) |

the visualization element to use (NULL = none).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Element> > Gst::PlayBin::property_vis_plugin | ( |  | ) | const

the visualization element to use (NULL = none).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< double > Gst::PlayBin::property_volume | ( |  | ) | const

volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< double > Gst::PlayBin::property_volume | ( |  | ) |

volume.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::PlayBin > wrap | ( | GstPlayBin * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/playbin.h